<?
require_once('include/global.php');
require_once('include/admin_lib.php');
//require_once('sadmin_conf.inc.php');

mail_server_check_limit();		// 메일서버가 동작중인지 확인

// check
	if (!$_GET['m_no'])
		msg('올바른 URL로 접근하여 주십시오');

	$q_where = " AND m_usertype='M' ";
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_GET['d_no'] = $G['DINFO']['d_no'];
		$q_where .= " AND d_no='" . $_GET['d_no'] . "'";

		if ($G['DINFO']['d_svc_mailing_list'] === 'N') {
			msg("메일링 리스트를 사용할 수 없습니다.\\n\\n서버관리자에게 문의하여 주십시오.");
		}
	} else 
	{
		auth_limit('serveradmin');
	}	// if()

	// 회원이 존재할때는 삭제불가.
		$sql = "SELECT COUNT(*) FROM ".$TB['MAILING_LIST']." WHERE m_no='". $_GET['m_no'] . "'";
		$mbr_cnt = db_get_one($sql);
		if ($mbr_cnt > 0)
			msg("메일링 리스트내에 [".$mbr_cnt."]명의 회원이 존재하므로 삭제할 수 없습니다.\\n\\n회원을 모두 삭제후 삭제하시기 바랍니다.");


// get
	$q = "SELECT m_id, d_no FROM " . $TB['MEMBER'] . " WHERE m_no='" . $_GET['m_no'] . "'".$q_where;
	$mbr = db_get_row($q);
	if (!$mbr)
		msg("존재하지 않는 메일링 주소입니다.");


// data
	// 메일엔진 - 메일링 리스트 계정 삭제
		if (!$_GET['isadmin'])
		{
			$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $mbr['d_no'] . "' AND d_is_use='Y' ";
			$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
		}	// if()

		require_once('include/admin_lib.php');
		mbr_del_mailing($mbr['m_id']);


	// 메일링 리스트정보
		$sql = "
			DELETE
			FROM
				" . $TB['MEMBER'] . "
			WHERE
				m_no='" . $_GET['m_no'] . "'
				$q_where
			";
		db_query($sql);

// end
	msg("삭제되었습니다.", 0);
	movepage('admin_mailing_list.php?' . get_qs('m_no'));


require_once('include/global_end.php');
?>